{ config, lib, pkgs, ... }:

{
  imports =
    [ 
      ./hardware-configuration.nix
      ../../profiles/base.nix
      ../../profiles/desktop.nix
    ];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  services.desktopManager.plasma6.enable = true;

  environment.systemPackages = with pkgs; [
    vim
    tmux
  ];

  networking.hostName = "alanturing";
  networking.firewall.enable = true;

  system.stateVersion = "25.11"; 

}

